Subject: [icalendar] registration of "UNKNOWN" iCalendar value data type

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 03 Jul 2013 15:50:52 -0600

Dear iCalendar experts (bcc [email-masked], cc [email-masked]):

Please review the following registration for a new iCalendar value
data type of "UNKNOWN". (Because Cyrus Daboo is one of the authors of
the specification that registers this value data type, I assume that
Bernard Desruisseaux will need to review the registration request.)

The jCal specification (draft-ietf-jcardcal-jcal) provides the
following description:

   In jCal, a new "unknown" property value type is introduced.  Its
   purpose is to allow preserving unknown property values when round-
   tripping between jCal and iCalendar.  To avoid collisions, this
   specification reserves the UNKNOWN property value type in iCalendar.
   It MUST NOT be used in any iCalendar as specified by [RFC5545], nor
   any extensions to it.

The completed registration template follows (where "RFCTODO" is a
placeholder for the RFC number issued to draft-ietf-jcardcal-jcal).

###

   Value name:  UNKNOWN

   Purpose:  To allow preserving unknown property values during round-
      tripping between jCal and iCalendar.

   Format definition:  (Not applicable)

   Description:  The UNKNOWN value data type is reserved for the
      exclusive use of the jCal format RFCTODO.  It MUST NOT be used in
      plain iCalendar [RFC5545].

   Example:  As this registration serves as a reservation of the UNKNOWN
      type so that it is not used in iCalendar, there is no applicable
      iCalendar example.  For examples of its usage in jCal, see RFCTODO

###

Please let us know if you have any questions, concerns, or feedback.

Thanks!

Peter (JCARDCAL WG co-chair and jCal shepherd)

- -- 
Peter Saint-Andre
https://stpeter.im/

---

From: Bernard Desruisseaux <[email-masked]>
Date: Thu, 04 Jul 2013 10:43:26 -0400

Dear submitter (bcc [email-masked]):

The "UNKNOWN" value data type registration is /approved with minor changes/:

OLD:

NEW:
    Purpose:  To allow preserving property values whose default value
       type is not known during round-tripping between jCal and iCalendar.

Thanks,
Bernard (designated iCalendar expert)

On 03/07/2013 5:50 PM, Peter Saint-Andre wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG/MacGPG2 v2.0.19 (Darwin)
> Comment: GPGTools - http://gpgtools.org
> Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/
>
> iQIcBAEBAgAGBQJR1Jy8AAoJEOoGpJErxa2prV0P/AnP73H/VKDO6RBfq5X7PRHP
> 3wb3s1srjpfZimB+LG3oU7ySZszijhr8REeg7T3C+LbgPKjxDEjTOL518EpBidt8
> eJ6YBd98VqHGqPIGvqEzGFozWz9fYcLSOlA2xhGiHV5II8VW8aRTsTYE16LarSrO
> hIATSQrQ4cNxu1EDA9wwCjMyQm83xJ9XHo5AdLghbL+hxj3oRki+pUkFUDS0oVgJ
> uwo8w+T55NSiNu/cStDYxZPzDHxHuBZCmvOZCiZ0Ev0OmVRowa/cYpibPIBV+d6k
> k+B+55PMVIaqxKgsCi9IjR/IlhL2XDjSmWI3ln/JgvKoAck79WD6OG5JDiJ9IHqm
> R+aWvFDhOs54ce0O2sZQsL/yjkovcovrW8npxPiv4Xl5eK/h49h2EQtFCqsa6YzH
> pmX/6ciIeWBA4vM4d1Hk0atFUDwncFqUxaIQIpixWM2lhDGAVyRNMzUwLBJ3kpiE
> zKNHxXog5e1omJU0tqvFdrrUGjOgRxFeR+BJh/rlDIEeC28SodnsYVUmhghda2wk
> 5/GjbUWg6YGda1ad400t9yr3ckMSnbHGZ3iJ86dpLXtJWLiX5vnne8X+tFaxDRnF
> GbhODMSHeoCwxuLBdXBpAaCzxDr3fq76Y1J84KEx2WpV0ALGRxeDBPIFghfe5AZp
> 7DEgieC778TlObQwTj4u
> =FmKL
> -----END PGP SIGNATURE-----
> _______________________________________________
> icalendar mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/icalendar

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 08 Jul 2013 16:37:30 -0600

On 7/4/13 8:43 AM, Bernard Desruisseaux wrote:
> OLD: Purpose:  To allow preserving unknown property values during
> round- tripping between jCal and iCalendar.
> 
> NEW: Purpose:  To allow preserving property values whose default
> value type is not known during round-tripping between jCal and
> iCalendar.

Thank you Bernard, that is indeed clearer!

Peter

- -- 
Peter Saint-Andre
https://stpeter.im/

---

From: "Tim Hare" <[email-masked]>
Date: Wed, 10 Jul 2013 06:53:13 -0400

Aha! That also clears up some of my problems with the idea.  I also thank
you, Bernard.

Tim

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Peter Saint-Andre
Sent: Monday, July 08, 2013 6:38 PM
To: Bernard Desruisseaux
Cc: [email-masked]; [email-masked]
Subject: Re: [icalendar] registration of "UNKNOWN" iCalendar value data type

On 7/4/13 8:43 AM, Bernard Desruisseaux wrote:
> NEW: Purpose:  To allow preserving property values whose default value 

Peter

- --
Peter Saint-Andre
https://stpeter.im/